import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";
import qs from 'qs';

// 查询用户列表
export function listUser(data) {
  return request({
    url: '/energy/record/waterInstant/selectRealTimeList',
    method: 'post',
    data: qs.stringify(data),
    contentType:'application/x-www-form-urlencoded',
    timeout: 1000 * 60,
    //formdata:true,
  })
}
// 查询底部列表
export function instantLis(data) {
  return request({
    url: '/energy/record/waterInstant/instantList',
    method: 'get',
    params: data,
    timeout: 1000 * 60,
  })
}

// 真查询部门下拉树结构
export function treeDat() {
  return request({
    url: '/energy/base/monitorInfo/treeData/3',
    method: 'get',
    timeout: 1000 * 60,
  })
}
//
// 一键秒表
export function editMeterReading(data) {
  return request({
    url: '/energy/config/editMeterReading',
    method: 'post',
    //data:data
    data: qs.stringify(data),
    contentType:'application/x-www-form-urlencoded',
    timeout: 1000 * 60,
  })
}
