import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";
import qs from 'qs';

// 查询列表1
export function listUser(data) {
  return request({
    url: '/energy/report/pointWater/list',
    method: 'post',
    data: qs.stringify(data),
    contentType:'application/x-www-form-urlencoded',
  })
}
export function listUser2(data) {
  return request({
    url: '/energy/report/pointWater/datePointWaterList',
    method: 'post',
    data: qs.stringify(data),
    contentType:'application/x-www-form-urlencoded',
  })
}
// 柱状图1
export function dnbCountingData(query) {
  return request({
    url: '/energy/report/board/dnbCountingData',
    method: 'get',
    params: query
  })
}
// 真查询部门下拉树结构
export function treeDat() {
  return request({
    url: '/energy/base/monitorInfo/treeData/3',
    method: 'get'
  })
}

// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/system/user/deptTree',
    method: 'get'
  })
}
