import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

// 左侧数据
export function getparkHomepageOverview(query) {
  return request({
    url: '/energy/report/board/parkHomepageOverview',
    method: 'get',
    // params: query,
  })
}

// 右侧能耗排名
export function getfourEnergy(query) {
  return request({
    url: '/energy/report/board/fourEnergy',
    method: 'get',
    params: query,
  })
}
// 30天能耗统计
export function getpreviewPolyline(query) {
  return request({
    url: '/energy/report/board/previewPolyline',
    method: 'get',
    params: query,
  })
}

// 30天分项业态占比
export function getBusinessChart(query) {
  return request({
    url: '/energy/report/board/categoryBusinessChart',
    method: 'get',
    params: query,
  })
}
// 地图标签
export function getMapData() {
  return request({
    url: 'system/datasource/boardDatasource',
    method: 'get',
  })
}
// 接入园区、设备数量
export function parkEquipmentNumber() {
  return request({
    url: 'energy/report/board/parkEquipmentNumber',
    method: 'get',
  })
}
// 能耗排名
export function parkEnergyRanking(id) {
  return request({
    url: 'energy/report/board/parkEnergyRanking?energyType='+id,
    method: 'get',
  })
}
