import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";
import qs from 'qs';
// 查询用户列表1
export function listUser(data) {
  return request({
    url: '/energy/record/dnbInstant/list',
    method: 'post',
    data: qs.stringify(data),
    contentType:'application/x-www-form-urlencoded',
  })
}
// 柱状图1
export function dnbCountingData(query) {
  return request({
    url: '/report/board/dnbCountingData',
    method: 'get',
    params: query
  })
}
// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/energy/base/monitorInfo/treeData/2',
    method: 'get'
  })
}
