import request from '@/utils/request'
// 获取工厂下拉列表
export function getBoardFactory(data) {
	return request({
		url: 'http://192.168.202.34:30000/prod-api/mes/wcsInterface/getBoardFactory',
		method: 'post',
		data: data
	});
}
// 获取班次
export function getBoardShifts(data) {
	return request({
		url: '/mes/wcsInterface/getBoardShifts',
		method: 'post',
		data: data
	});
}
// 获取待维修的维修工单接口
export function getRepairWorkOrder(data) {
	return request({
		url: '/device/deviceInterface/getRepairWorkOrder',
		method: 'get',
		params: data,
	});
}
// 获取设备信息接口
export function getEquipmentInfo(data) {
	return request({
		url: '/device/deviceInterface/getEquipmentInfo',
		method: 'get',
		params: data
	});
}
// 获取维修质量信息TOP10接口
export function getRepairQuantity(data) {
	return request({
		url: '/device/deviceInterface/getRepairQuantity',
		method: 'get',
		params: data
	});
}
// 完好设备占比
export function equipmentIntactRate(data) {
	return request({
		url: '/device/deviceInterface/equipmentIntactRate',
		method: 'get',
		params: data
	});
}// 设备稳定性
export function equipmentStability(data) {
	return request({
		url: '/device/deviceInterface/equipmentStability',
		method: 'get',
		params: data
	});
}
//看板刷新时间
export function getDeviceRefreshTime(data) {
	return request({
		url: '/device/deviceInterface/getDeviceRefreshTime',
		method: 'get',
		params: data
	});
}