import request from '@/utils/request'
import { data } from 'jquery';
import qs from 'qs';
import {Logger} from "runjs/lib/common";
// 查询公摊管理列表
export function listPublicsharemanage(query) {
  return request({
    url: '/energy/base/publicsharemanage/list',
    method: 'get',
    params: query
  })
}

// 查询公摊管理详细
export function getPublicsharemanage(id) {
  return request({
    url: '/energy/base/publicsharemanage/' + id,
    method: 'get'
  })
}

// 新增公摊管理
export function addPublicsharemanage(data) {
  return request({
    url: '/energy/base/publicsharemanage',
    method: 'post',
    data: data
  })
}

// 修改公摊管理
export function updatePublicsharemanage(data) {
  return request({
    url: '/energy/base/publicsharemanage',
    method: 'put',
    data: data
  })
}

// 删除公摊管理
export function delPublicsharemanage(id) {
  return request({
    url: '/energy/base/publicsharemanage/' + id,
    method: 'delete'
  })
}
//添加页面列表查询

export function basepublicuser(data) {
  return request({
    url: '/energy/base/basepublicuser/list',
    method: 'get',
    data:data,
    // data: qs.stringify(data),
    // contentType:'application/x-www-form-urlencoded',
  })
}
/**
 * 子查询
 * @param {Number} id
 * @returns
 */
export function childlist(query) {
  return request({
    url: "/energy/base/basepublicuser/childlist",
    method: "post",
    data:query,
    // contentType: "application/x-www-form-urlencoded; charset=UTF-8",
    // data: qs.stringify(query),
  });
}
export function AddStepTwo(data) {
  return request({
    url: '/energy/base/publicsharemanage/AddStepTwo',
    method: 'post',
    data: qs.stringify(data),
    contentType:'application/x-www-form-urlencoded',
    timeout: 1000 * 60
  })
}
//完成
export function publicsharemanageadd(data) {
  return request({
    url: '/energy/base/publicsharemanage/add',
    method: 'post',
    data: JSON.stringify(data),
    contentType:'application/json',
  })
}
